Package twisted :: Package protocols :: Module loopback

[frames | no frames]

## Module twisted.protocols.loopback

Testing support for protocols -- loopback between client and server.

Classes
`LoopbackClientFactory` |
`LoopbackRelay` |

Function Summary
| ``loopback`(server, client, logFile)` Run session between server and client.
| ``loopbackTCP`(server, client, port)` Run session between server and client protocol instances over TCP.
| ``loopbackUNIX`(server, client)` Run session between server and client protocol instances over UNIX socket.

Function Details

### loopback(server, client, logFile=None)

Run session between server and client.

### loopbackTCP(server, client, port=0)

Run session between server and client protocol instances over TCP.

### loopbackUNIX(server, client)

Run session between server and client protocol instances over UNIX socket.

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net